
public class fa extends Class171 implements Interface49, Interface7 {

   long nativeid;
   boolean aBool7999 = false;


   native int dw(long var1);

   fa(ja var1, int[] var2, int var3, int var4, int var5, int var6, boolean var7) {
      this.RA(var1, var2, var3, var4, var5, var6, var7);
   }

   public void method2918(int var1, int var2, int var3, int var4) {
      this.U(this.nativeid, var1, var2, var3, var4);
   }

   native void UA(ja var1, int var2, int var3);

   native void RA(ja var1, int[] var2, int var3, int var4, int var5, int var6, boolean var7);

   native void K(ja var1, int var2, int var3, int var4, int var5, boolean var6);

   public void finalize() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 2137967459);
      }

   }

   public void ma(boolean var1) {
      this.M(this.nativeid, var1);
   }

   native void M(long var1, boolean var3);

   native void dh(long var1, int var3, int var4, long var5, int var7, int var8);

   native void aa(long var1, int var3, int var4, int var5, int var6, int var7, int var8, int var9);

   public void method2919(int[] var1) {
      this.F(this.nativeid, var1);
   }

   public void method9() {}

   public int method30() {
      return this.da(this.nativeid);
   }

   public void method2940(int var1, int var2, int var3, int var4, int var5, int var6) {
      this.ea(this.nativeid, var1, var2, var3, var4, var5, var6);
   }

   native int da(long var1);

   public int method94() {
      return this.WA(this.nativeid);
   }

   native int WA(long var1);

   public int method35() {
      return this.GA(this.nativeid);
   }

   native void U(long var1, int var3, int var4, int var5, int var6);

   public void y(boolean var1) {
      this.M(this.nativeid, var1);
   }

   public int method2969() {
      return this.ba(this.nativeid);
   }

   public void method2924(int var1, int var2, int var3, int var4, int var5, int var6) {
      this.ea(this.nativeid, var1, var2, var3, var4, var5, var6);
   }

   public int method29() {
      return this.GA(this.nativeid);
   }

   public int method2965() {
      return this.GA(this.nativeid);
   }

   void method12863() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 1309409414);
      }

   }

   public void method2925(int var1, int var2, int var3) {
      this.j(this.nativeid, var1, var2, var3);
   }

   native void ha(long var1, int var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10);

   public void method2927(int var1, int var2, int var3, int var4, int var5) {
      this.Y(this.nativeid, var1, var2, var3, var4, var5);
   }

   native void Y(long var1, int var3, int var4, int var5, int var6, int var7);

   native int GA(long var1);

   native void o(long var1, int var3, int var4, long var5, int var7, int var8);

   public void method2952(int var1, int var2, int var3, int var4, int var5) {
      this.Y(this.nativeid, var1, var2, var3, var4, var5);
   }

   public int method2964() {
      return this.GA(this.nativeid);
   }

   public void method2999(int var1, int var2, int var3, int var4, int var5, int var6, int var7) {
      this.aa(this.nativeid, var1, var2, var3, var4, var5, var6, var7);
   }

   native int ds(long var1);

   native void ea(long var1, int var3, int var4, int var5, int var6, int var7, int var8);

   native void e(long var1, float var3, float var4, float var5, float var6, float var7, float var8, int var9, int var10, int var11, int var12);

   void method2942(float var1, float var2, float var3, float var4, float var5, float var6, int var7, Class496 var8, int var9, int var10) {
      this.FA(this.nativeid, var1, var2, var3, var4, var5, var6, var7, ((wa)var8).nativeid, var9, var10, this.aBool7999);
   }

   native void FA(long var1, float var3, float var4, float var5, float var6, float var7, float var8, int var9, long var10, int var12, int var13, boolean var14);

   public void method10() {}

   native int dp(long var1);

   public void method2968(int var1, int var2, int var3, int var4, int var5, int var6) {
      this.ea(this.nativeid, var1, var2, var3, var4, var5, var6);
   }

   public void method2917(int var1, int var2, int var3) {
      this.j(this.nativeid, var1, var2, var3);
   }

   public void method2946(int var1, int var2, int var3) {
      this.j(this.nativeid, var1, var2, var3);
   }

   public void method2947(int var1, int var2, int var3) {
      this.j(this.nativeid, var1, var2, var3);
   }

   public void method2962(int var1, int var2, int var3) {
      this.j(this.nativeid, var1, var2, var3);
   }

   native void dg(long var1, int var3, int var4, int var5, int var6, int var7);

   public void method2949(int var1, int var2, int var3) {
      this.j(this.nativeid, var1, var2, var3);
   }

   public Interface7 method2945() {
      return this.aBool7999?this:null;
   }

   fa(ja var1, int var2, int var3, int var4, int var5, boolean var6) {
      this.K(var1, var2, var3, var4, var5, var6);
   }

   native void df(long var1, float var3, float var4, float var5, float var6, float var7, float var8, int var9, int var10, int var11, int var12);

   public void method2970(int var1, int var2, Class496 var3, int var4, int var5) {
      this.o(this.nativeid, var1, var2, ((wa)var3).nativeid, var4, var5);
   }

   public Interface7 method2950() {
      return this.aBool7999?this:null;
   }

   public int method31() {
      return this.da(this.nativeid);
   }

   public int method32() {
      return this.da(this.nativeid);
   }

   public int method33() {
      return this.da(this.nativeid);
   }

   public void method8() {}

   public int method244() {
      return this.WA(this.nativeid);
   }

   public void method2955(int var1, int var2, int var3, int var4) {
      this.U(this.nativeid, var1, var2, var3, var4);
   }

   public void method2956(int var1, int var2, int var3, int var4) {
      this.U(this.nativeid, var1, var2, var3, var4);
   }

   public void method2957(int var1, int var2, int var3, int var4) {
      this.U(this.nativeid, var1, var2, var3, var4);
   }

   native void F(long var1, int[] var3);

   public void method2959(int[] var1) {
      this.F(this.nativeid, var1);
   }

   public int method2960() {
      return this.da(this.nativeid);
   }

   public int method2961() {
      return this.da(this.nativeid);
   }

   public int method2943() {
      return this.da(this.nativeid);
   }

   public int method2963() {
      return this.GA(this.nativeid);
   }

   native void native_do(long var1, int var3, int var4, int var5, int var6, int var7, int var8);

   public int method2953() {
      return this.ba(this.nativeid);
   }

   public int method2966() {
      return this.GA(this.nativeid);
   }

   native void j(long var1, int var3, int var4, int var5);

   public Interface7 method2951() {
      return this.aBool7999?this:null;
   }

   public Interface7 method2948() {
      return this.aBool7999?this:null;
   }

   public void method2967(int var1, int var2, int var3, int var4, int var5, int var6, int var7) {
      this.aa(this.nativeid, var1, var2, var3, var4, var5, var6, var7);
   }

   public void method2941(int var1, int var2, int var3, int var4, int var5, int var6, int var7) {
      this.aa(this.nativeid, var1, var2, var3, var4, var5, var6, var7);
   }

   public void method2938(int var1, int var2, int var3, int var4, int var5, int var6, int var7) {
      this.aa(this.nativeid, var1, var2, var3, var4, var5, var6, var7);
   }

   void method2973(float var1, float var2, float var3, float var4, float var5, float var6, int var7, Class496 var8, int var9, int var10) {
      this.FA(this.nativeid, var1, var2, var3, var4, var5, var6, var7, ((wa)var8).nativeid, var9, var10, this.aBool7999);
   }

   void method2989(float var1, float var2, float var3, float var4, float var5, float var6, int var7, Class496 var8, int var9, int var10) {
      this.FA(this.nativeid, var1, var2, var3, var4, var5, var6, var7, ((wa)var8).nativeid, var9, var10, this.aBool7999);
   }

   void method2974(float var1, float var2, float var3, float var4, float var5, float var6, int var7, Class496 var8, int var9, int var10) {
      this.FA(this.nativeid, var1, var2, var3, var4, var5, var6, var7, ((wa)var8).nativeid, var9, var10, this.aBool7999);
   }

   public int method34() {
      return this.GA(this.nativeid);
   }

   void method2954(int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8) {
      this.ha(this.nativeid, var1, var2, var3, var4, var5, var6, var7, var8);
   }

   void method12864() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 1421840964);
      }

   }

   public void method2981(int var1, int var2, Class496 var3, int var4, int var5) {
      this.o(this.nativeid, var1, var2, ((wa)var3).nativeid, var4, var5);
   }

   void method2928(float var1, float var2, float var3, float var4, float var5, float var6, int var7, int var8, int var9, int var10) {
      this.e(this.nativeid, var1, var2, var3, var4, var5, var6, var7, var8, var9, var10);
   }

   void method2975(float var1, float var2, float var3, float var4, float var5, float var6, int var7, int var8, int var9, int var10) {
      this.e(this.nativeid, var1, var2, var3, var4, var5, var6, var7, var8, var9, var10);
   }

   native int dd(long var1);

   native void cs(ja var1, int var2, int var3);

   native void cb(ja var1, int var2, int var3);

   native void de(ja var1, int[] var2, int var3, int var4, int var5, int var6, boolean var7);

   public int method2921() {
      return this.GA(this.nativeid);
   }

   native void dr(ja var1, int var2, int var3, int var4, int var5, boolean var6);

   native void db(ja var1, int var2, int var3, int var4, int var5, boolean var6);

   native void dc(ja var1, int var2, int var3, int var4, int var5, boolean var6);

   public int method2944() {
      return this.da(this.nativeid);
   }

   void method12865() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 1702718206);
      }

   }

   native void du(long var1, int var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10);

   native int dt(long var1);

   native int dm(long var1);

   public int method243() {
      return this.WA(this.nativeid);
   }

   native void dk(ja var1, int[] var2, int var3, int var4, int var5, int var6, boolean var7);

   native void dx(long var1, int var3, int var4, int var5, int var6, int var7, int var8);

   native void dv(long var1, int var3, int var4, int var5, int var6, int var7, int var8);

   native void dy(long var1, int var3, int var4, int var5);

   native void dq(long var1, int var3, int var4, int var5);

   native void dj(long var1, int var3, int var4, int var5, int var6, int var7);

   fa(ja var1, int var2, int var3, boolean var4) {
      this.aBool7999 = var4;
      this.UA(var1, var2, var3);
   }

   native void dl(long var1, int var3, int var4, long var5, int var7, int var8);

   public void method2958(int[] var1) {
      this.F(this.nativeid, var1);
   }

   void method2931(int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8) {
      this.ha(this.nativeid, var1, var2, var3, var4, var5, var6, var7, var8);
   }

   native void dz(long var1, int var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10);

   native void dn(long var1, int var3, int var4, int var5, int var6, int var7, int var8, int var9);

   native void di(long var1, float var3, float var4, float var5, float var6, float var7, float var8, int var9, int var10, int var11, int var12);

   native int ba(long var1);

   native void ee(long var1, float var3, float var4, float var5, float var6, float var7, float var8, int var9, long var10, int var12, int var13, boolean var14);
}
